/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.linkedhashmapkeysetconversion;

import java.util.LinkedHashMap;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class LinkedHashMapKeySetConversion {

    public static void main(String[] args) {
        LinkedHashMap<String, Integer> linkedHashMap = new LinkedHashMap<>();
        linkedHashMap.put("January", 1);
        linkedHashMap.put("February", 2);
        linkedHashMap.put("March", 3);
        linkedHashMap.put("April", 4);

        String key = "January";
        int position = getPositionOfKey(linkedHashMap, key);
        System.out.println("The position of the key \"" + key + "\" is: " + position);
    }

    public static <K, V> int getPositionOfKey(LinkedHashMap<K, V> map, K key) {
        List<K> keyList = new ArrayList<>(map.keySet());
        return keyList.indexOf(key);
    }
}
