/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.linkedhashmapiteration;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 *
 * @author omozegieaziegbe
 */
public class LinkedHashMapIteration {

    public static void main(String[] args) {
        
        // Create a LinkedHashMap with Integer keys and String values
        LinkedHashMap<Integer, String> linkedHashMap = new LinkedHashMap<>();
        linkedHashMap.put(101, "Alice");
        linkedHashMap.put(202, "Bob");
        linkedHashMap.put(303, "Charlie");
        linkedHashMap.put(404, "David");

        // Key to find position for
        Integer key = 303;
        
        // Find the position of the key using iteration approach
        int position = getPositionOfKey(linkedHashMap, key);
        
        // Output the result
        System.out.println("LinkedHashMap: " + linkedHashMap);
        System.out.println("Finding position of key: " + key);
        System.out.println("Position: " + position);
        //System.out.println("The position of the key \"" + key + "\" is: " + position);
    }

    public static <K, V> int getPositionOfKey(LinkedHashMap<K, V> map, K key) {
        int index = 0;
        for (Map.Entry<K, V> entry : map.entrySet()) {
            if (entry.getKey().equals(key)) {
                return index;
            }
            index++;
        }
        return -1; // Key not found
    }
}
