/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.linkedhashmaplistcopyof;

import java.util.LinkedHashMap;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class LinkedHashMapListCopyOf {

    public static void main(String[] args) {
        LinkedHashMap<String, Integer> linkedHashMap = new LinkedHashMap<>();
        linkedHashMap.put("apple", 10);
        linkedHashMap.put("banana", 20);
        linkedHashMap.put("cherry", 30);
        linkedHashMap.put("orange", 40);

        String key = "orange";
        int position = getPositionOfKey(linkedHashMap, key);
        System.out.println("The position of the key \"" + key + "\" is: " + position);
    }

    public static <K, V> int getPositionOfKey(LinkedHashMap<K, V> map, K key) {
        List<K> keyList = List.copyOf(map.keySet());
        return keyList.indexOf(key);
    }
}
